/* システム行にファンクションキー内容を表示する関数 */

#include <iocslib.h>
#include "defines.h"

void pr_sysline(unchar *ms[10],int mode)
{
unint i,x,y;
unchar line[DISPX+1];
	x=TWIDTH(&y);
	if (mode==0||mode==2) {
		/* system line clear */
		string(line,' ',x);
		B_PUTMES(TWHITE,0,y-1,x-1,line);
		if (mode==2) return;
	}
	/* print function key */
	for (i=0;i<(x==32? 5:10);i++) {
		B_PUTMES(TWHITE|REVERSE,xfkey(i),y-1,(x==96? 8-1:5-1),ms[i]);
	}
}
